From 2d2d427b98700113d226afc7490d2a4dd5d87e3d Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 14 Dec 2011 11:28:06 -0600
Subject: Fixed a bug in weighted category items

---
 grade/edit/tree/index.php |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/grade/edit/tree/index.php b/grade/edit/tree/index.php
index a1820c6..9917e77 100644
--- a/grade/edit/tree/index.php
+++ b/grade/edit/tree/index.php
@@ -298,6 +298,11 @@ if ($data = data_submitted() and confirm_sesskey()) {
             // Weighted Mean special case
             $parent = $grade_item->load_parent_category();
 
+            // Make sure about category item's parent category
+            if ($grade_item->itemtype == 'category') {
+                $parent = $parent->load_parent_category();
+            }
+
             if ($parent->aggregation == GRADE_AGGREGATE_WEIGHTED_MEAN) {
                 $oldcoef = $grade_item->aggregationcoef;
 
-- 
1.7.1


